package cn.reghao.tnb.auth.api.iface;

import cn.reghao.jutil.jdk.web.db.PageList;
import cn.reghao.tnb.auth.api.dto.AccountInfo;
import cn.reghao.tnb.auth.api.dto.AccountRegistry;
import cn.reghao.tnb.auth.api.dto.AccountRegistryStatus;

/**
 * @author reghao
 * @date 2024-07-31 06:59:54
 */
public interface AdminAccountService {
    AccountRegistry getAccountRegistry();
    void setAccountRegistry(AccountRegistryStatus accountRegistryStatus);
    void setAccountCode(AccountRegistryStatus accountRegistryStatus);

    PageList<AccountInfo> getByScreenName(String screenName, int pageNumber, int pageSize);
}
